Bug 209872 - Python 2.5 package in extras
Python 2.5 package in extras
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shahms E. King
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-07 04:06 EDT by Eric Hopper
Modified: 2008-05-06 20:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2006-10-07 04:06:39 EDT
It would be nice to have a python25 package in extras that contained Python 2.5
but didn't change the standard system Python to from Python 2.4.  Mostly because
it would be really nice to have Python 2.5 around to play with an experiment
with so that packages would work with Python 2.5 right away when it was included.

A few of the support programs, like ipython might also be nice to have in Python
2.5 versions.
Comment 1 Eric Hopper 2006-10-07 04:07:58 EDT
This bug is actually a feature request, and not really a bug.
Comment 2 Jeffrey C. Ollie 2007-01-16 09:26:02 EST
Python 2.5 has been in rawhide for several weeks now and will be a part of
Fedora 7 - is there any reason to keep this bug report open?
Comment 3 Eric Hopper 2007-01-16 10:41:43 EST
Well, it would still be nice to have python 2.5 in package form for FC 6.

Fedora relies heavily on Python, and it makes sense for them to stick to
slightly older versions, especially when the newest version is released right
around the time the distro is going out the door.

But in the case of very base tools like programming languages and such, it would
be nice to have packages that had the newer version for people who need or want
to use them.  A way to sort of tweak parts of a stable environment forward for
just the tools you want.

I wouldn't want to install the rawhide versions of Python because there are so
many Fedora scripts that rely on Python that I'd be really worried about
breaking something that I didn't want to futz with.  It's problem is that it
replaces the distro-tested Python version rather than providing the new version
along side the old version.
Comment 4 Bug Zapper 2008-04-03 14:27:44 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:56:24 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.